Bug 1266768 - [abrt] python-dnf: migrate.py:139:migrate_history_pkgs:AttributeError: 'NoneType' object has no attribute 'execute'
[abrt] python-dnf: migrate.py:139:migrate_history_pkgs:AttributeError: 'NoneT...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f90dbe7219c38025f268097c866...
:
: 1299650 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-27 10:53 EDT by Pascal94
Modified: 2016-07-19 14:02 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:02:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.32 KB, text/plain)
2015-09-27 10:53 EDT, Pascal94
no flags Details
File: environ (2.84 KB, text/plain)
2015-09-27 10:53 EDT, Pascal94
no flags Details

  None (edit)
Description Pascal94 2015-09-27 10:53:05 EDT
Version-Release number of selected component:
python-dnf-1.1.1-2.fc22

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python -OO /usr/bin/dnf-2 migrate
dso_list:       python-dnf-plugins-extras-migrate-0.0.9-1.fc22.noarch
executable:     /usr/bin/dnf-2
kernel:         4.1.7-100.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
migrate.py:139:migrate_history_pkgs:AttributeError: 'NoneType' object has no attribute 'execute'

Traceback (most recent call last):
  File "/usr/bin/dnf-2", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 198, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 136, in _main
    cli.run()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 1085, in run
    return self.command.run(self.base.extcmds)
  File "/usr/lib/python2.7/site-packages/dnf-plugins/migrate.py", line 117, in run
    self.migrate_history()
  File "/usr/lib/python2.7/site-packages/dnf-plugins/migrate.py", line 133, in migrate_history
    self.migrate_history_pkgs(yum_history, dnf_history)
  File "/usr/lib/python2.7/site-packages/dnf-plugins/migrate.py", line 139, in migrate_history_pkgs
    yum_cur.execute("""
AttributeError: 'NoneType' object has no attribute 'execute'

Local variables in innermost frame:
yum_hist: <dnf.yum.history.YumHistory object at 0x7f2955b86d50>
yum_cur: None
self: <dnf.plugin.dynamic.migrate.MigrateCommand object at 0x7f2955b7d950>
dnf_hist: <dnf.yum.history.YumHistory object at 0x7f2954597710>
Comment 1 Pascal94 2015-09-27 10:53:10 EDT
Created attachment 1077745 [details]
File: backtrace
Comment 2 Pascal94 2015-09-27 10:53:12 EDT
Created attachment 1077746 [details]
File: environ
Comment 3 Honza Silhan 2015-10-13 09:11:59 EDT
It seems like db is not opened. We'll take a look.
Comment 4 Oliver Sampson 2015-12-15 11:53:14 EST
Another user experienced a similar problem:

Trying to update packages from the system tray when one package requies --nogpgcheck.

reporter:       libreport-2.6.3
cmdline:        /usr/bin/python -OO /usr/bin/dnf-2 migrate
dso_list:       python-dnf-plugins-extras-migrate-0.0.11-1.fc22.noarch
event_log:      2015-12-15-17:51:30> ('report_uReport' completed successfully)
executable:     /usr/bin/dnf-2
kernel:         4.2.6-201.fc22.x86_64
package:        python-dnf-1.1.4-2.fc22
reason:         migrate.py:139:migrate_history_pkgs:AttributeError: 'NoneType' object has no attribute 'execute'
runlevel:       N 5
type:           Python
uid:            1000
Comment 5 Michal Domonkos 2016-01-19 10:16:16 EST
*** Bug 1299650 has been marked as a duplicate of this bug. ***
Comment 6 Fedora Admin XMLRPC Client 2016-07-08 05:27:21 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora End Of Life 2016-07-19 14:02:33 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.